Subject: RE: CD-based distribution (was Another website....)
From: [email-masked]

13 Aug 1998 18:50:22 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="Boundary_(ID_8nsPinwqL871LVn6GBCd0A)"
To: [email-masked]

--Boundary_(ID_8nsPinwqL871LVn6GBCd0A)
Content-type: TEXT/PLAIN

Here's a summary of what seems to be the state of play, opinion-wise, with
this at the moment.

'BLUE SOCKS' GNU-WIN32 DISTRIBUTION:

o Uses InstallShield, or similar for inital installation. All installation 
including initial to be
    *cleanly* undo-able.
o Use RPM, or similar system, to install additional packages to bring 
    system up to 'developer' level.
o Base system to use Linux-like file system organisation. One root level, with
    software installed in /bin, /sbin, /usr/sbin, /usr/bin, /usr/local/bin.
o System to comprise equivalent of current gnu-win32 CDK distribution with 
compilation
    system replaced with C/C++/make from EGCS.
o Manual pages, plus software to display them on console windows, (plus Xman?), 
to be
    installed as standard.
o HowTo's available in standard package. Option given to load them at intial 
install, or load
    them later.
o Xwindows software, eg xterm, to be installed by default (make this easily 
removable/optional?).
o Optional package list to be decided, but each system to have a binary package 
and it's
    source equivalent available.
o I suggest that the following (plus others) are included on the list of 
'developer' packages:
    Xemacs, Fortran compiler, Pascal compiler, Perl, Tcl/Tk, Graphics libraries 
- such as PNG, etc,
    Expect(?). Networking tools (sendmail?).
o GIMP v1.0 anyone?
o Available in binary and source forms: NETPBM/PBMplus, GhostScript/Ghostview, 
XPaint,
    Apache web server, ....
o Distribution *must* work (OS capabilities permitting) on all Win32 platforms, 
i.e. Win95, Win98 and WinNT.
o Minor versions, (eg 4.0.1) to be available on the web as patch packages to 
the major versions?

Let the arguments commence . . . .  :-)

Bob Cross.

--Boundary_(ID_8nsPinwqL871LVn6GBCd0A)--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".